Subject: Confirm vc commits when the files do not match those marked in vc-dir

From: Glenn Morris <[email-masked]>
Date: Thu, 10 Jun 2010 23:50:24 -0400

Package: emacs
Severity: wishlist

I've made this mistake a few times now:

1) Mark say 5 files in vc-dir.

2) Press v to get a vc-log buffer.

3) Realize I should not have marked one of the 5 files, and unmark it
in the vc-dir buffer.

4) Forget to kill the existing vc-log buffer, and so end up committing
all 5 files anyway.

I wish that at step 4 when I try to commit, Emacs would check if the
files about to be commited match those marked in the vc-dir buffer,
and if not ask me to confirm the commit.